# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CPAN.pm) perl(Class/MOP.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/Pg.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(JSON.pm) perl(LWP.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(RDF/Query.pm) perl(Socket.pm) perl(Sub/Exporter.pm) perl(Sub/Name.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(URI.pm) perl(XML/RAI.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Data-Pipeline
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: manage aggregated data filters
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JS/JSMITH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A Data::Pipeline pipeline is a linear sequence of actions taken on a stream of
data elements.  Data is pulled from an iterator as needed, with each action
and pipeline presenting itself to the next stage as an iterator.

Using an iterator interface allows actions and pipelines to be combined in
a wide range of configurations while preserving the lazy nature of
iterator evaluation when running the pipeline.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/D*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

